package com.pjilisense.flxai.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * AI模型表
 *
 * @author liushujing liushujing@philisense.com
 * @since 1.0.0 2024-12-20
 */
@Data
@ApiModel(value = "AI模型表")
public class AppAiModelDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "标识")
	private String identifier;

	@ApiModelProperty(value = "提供者")
	private String providers;

	@ApiModelProperty(value = "转换")
	private String conversations;

	@ApiModelProperty(value = "likes")
	private String likes;

	@ApiModelProperty(value = "tokens")
	private String tokens;

	@ApiModelProperty(value = "描述")
	private String description;

	@ApiModelProperty(value = "名称")
	private String displayname;

	@ApiModelProperty(value = "是否允许")
	private String enabled;

	@ApiModelProperty(value = "MetaID")
	private String metaId;

	@ApiModelProperty(value = "meta tokens")
	private String metaTokens;

	@ApiModelProperty(value = "分类")
	private String category;

	@ApiModelProperty(value = "标题")
	private String title;

	@ApiModelProperty(value = "建议")
	private String suggestions;

	@ApiModelProperty(value = "创建时间")
	private String createdAt;

	@ApiModelProperty(value = "用户ID")
	private String userid;


}